%define prerelease pre2

Name:		jabber-icqv7-t
Version:	0.3.0
Release:	alt0.4%prerelease

Summary:	ICQ version 7 transport for Jabber server
Summary(ru_RU.CP1251): ICQv7    Jabber
Group:		System/Servers
URL:		http://icqv7-t.sourceforge.net/
License:	GPL/JOSL

PreReq:		jabber
Obsoletes:	jabber-icqv7

Source: http://prdownloads.sourceforge.net/icqv7-t/icqv7-t-%version%prerelease.tar.bz2
Source1: icqv7-t-configs.tar.bz2

Patch0: icqv7-t-0.3.0pre2-gcc3.2.patch

BuildRequires:	jabber-devel libicq2000-devel
BuildRequires:	libsigc++-devel libstdc++-devel gcc-c++
BuildRequires:  autoconf_2.5

%description
Jabber-transport which provides interoperability between
ICQ and Jabber instant messaging systems. ICQv7-t supports
version v7 of the ICQ protocol.

%prep
%setup -q -n icqv7-t-%version%prerelease -a 1
%patch0 -p1

# Needed for patch0
%_bindir/autoheader_2.5
%_bindir/autoconf_2.5

%build
%configure --with-jabberd=%_includedir/jabber
%make_build AUTOHEADER=%_bindir/autoheader_2.5 AUTOCONF=%_bindir/autoconf_2.5

%install
%__mkdir_p $RPM_BUILD_ROOT%_sbindir
%__mkdir_p $RPM_BUILD_ROOT%_sysconfdir/jabber/include
%__install -m 755 icqv7ext $RPM_BUILD_ROOT%_sbindir
%__install -d -m 755 $RPM_BUILD_ROOT%_libdir/jabber/icqv7-transport
%__install -m 755 jabberd/icqv7t.so $RPM_BUILD_ROOT%_libdir/jabber/icqv7-transport
%__install -m 640 icqv7-t-configs/* $RPM_BUILD_ROOT%_sysconfdir/jabber/include

%post
%post_service jabber

%files
%doc AUTHORS BUGS CHANGES COPYING* ChangeLog FAQ NEWS README THANKS
%_sbindir/icqv7ext
%_libdir/jabber/icqv7-transport
%attr(640,root,jabber) %config(noreplace) %_sysconfdir/jabber/include/icqv7-t.*

%changelog
* Thu Sep 26 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.0-alt0.4pre2
- Corrected Makefile macros for autoconf 2.5x

* Wed Sep 25 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.0-alt0.3pre2
- Explicitly build with autoconf 2.5x

* Fri Sep 13 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.0-alt0.2pre2
- Fixes for GCC 3.2

* Sat Aug 31 2002 Mikhail Zabaluev <mhz@altlinux.ru> 0.3.0-alt0.1pre2
- Separate package for the ICQv7 transport
